---
title: "Get an ad analysis"
description: "Read one analysis run and its credit state. The analysis document itself is at /result."
url: https://docs.roasos.com/api-reference/workflows/getWorkflowAnalysis
---

# Get an ad analysis

Read one analysis run and its credit state. The analysis document itself is at /result.

## `GET /v1/workflows/analyses/{id}`

Endpoint: `GET https://api.roasos.com/v1/workflows/analyses/{id}`

Get an ad analysis

Read one analysis run and its credit state. The analysis document itself is at /result.

### Parameters

- `id` (path) — required

### Responses

- `200`: Analysis lifecycle projection
- `400`: The analysis ID is not a UUID
- `404`: Analysis not found in this workspace
- `503`: The analysis projection is temporarily unavailable

Read the full reference at https://docs.roasos.com/api-reference/workflows/getWorkflowAnalysis.
